Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kie.api.event.rule
Class DebugAgendaEventListener

    java.lang.Object
      org.kie.api.event.rule.DebugAgendaEventListener

All Implemented Interfaces:
  EventListener, AgendaEventListener

    public class DebugAgendaEventListener

extends Object
implements AgendaEventListener

Constructor Summary
`DebugAgendaEventListener()`
`DebugAgendaEventListener(PrintStream stream)`

Method Summary
`void` | `afterMatchFired(AfterMatchFiredEvent event)`
`void` | `afterRuleFlowGroupActivated(RuleFlowGroupActivatedEvent event)`
`void` | `afterRuleFlowGroupDeactivated(RuleFlowGroupDeactivatedEvent event)`
`void` | `agendaGroupPopped(AgendaGroupPoppedEvent event)`
`void` | `agendaGroupPushed(AgendaGroupPushedEvent event)`
`void` | `beforeMatchFired(BeforeMatchFiredEvent event)`
`void` | `beforeRuleFlowGroupActivated(RuleFlowGroupActivatedEvent event)`
`void` | `beforeRuleFlowGroupDeactivated(RuleFlowGroupDeactivatedEvent event)`
`void` | `matchCancelled(MatchCancelledEvent event)`
`void` | `matchCreated(MatchCreatedEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DebugAgendaEventListener

    public DebugAgendaEventListener()

### DebugAgendaEventListener

    public DebugAgendaEventListener(PrintStream stream)

Method Detail

### matchCancelled

    public void matchCancelled(MatchCancelledEvent event)

  Specified by:
    `matchCancelled` in interface `AgendaEventListener`

### matchCreated

    public void matchCreated(MatchCreatedEvent event)

  Specified by:
    `matchCreated` in interface `AgendaEventListener`

### afterMatchFired

    public void afterMatchFired(AfterMatchFiredEvent event)

  Specified by:
    `afterMatchFired` in interface `AgendaEventListener`

### agendaGroupPopped

    public void agendaGroupPopped(AgendaGroupPoppedEvent event)

  Specified by:
    `agendaGroupPopped` in interface `AgendaEventListener`

### agendaGroupPushed

    public void agendaGroupPushed(AgendaGroupPushedEvent event)

  Specified by:
    `agendaGroupPushed` in interface `AgendaEventListener`

### beforeMatchFired

    public void beforeMatchFired(BeforeMatchFiredEvent event)

  Specified by:
    `beforeMatchFired` in interface `AgendaEventListener`

### beforeRuleFlowGroupActivated

    public void beforeRuleFlowGroupActivated(RuleFlowGroupActivatedEvent event)

  Specified by:
    `beforeRuleFlowGroupActivated` in interface `AgendaEventListener`

### afterRuleFlowGroupActivated

    public void afterRuleFlowGroupActivated(RuleFlowGroupActivatedEvent event)

  Specified by:
    `afterRuleFlowGroupActivated` in interface `AgendaEventListener`

### beforeRuleFlowGroupDeactivated

    public void beforeRuleFlowGroupDeactivated(RuleFlowGroupDeactivatedEvent event)

  Specified by:
    `beforeRuleFlowGroupDeactivated` in interface `AgendaEventListener`

### afterRuleFlowGroupDeactivated

    public void afterRuleFlowGroupDeactivated(RuleFlowGroupDeactivatedEvent event)

  Specified by:
    `afterRuleFlowGroupDeactivated` in interface `AgendaEventListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.